org.springframework.cloud.dataflow.server.config

## Class DataFlowServerConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.DataFlowServerConfiguration

-     @EnableHypermediaSupport(type=HAL)
       @Configuration
       @Import(value={CompletionConfiguration.class,FeaturesConfiguration.class,WebConfiguration.class})
       @EnableConfigurationProperties(value={org.springframework.boot.autoconfigure.batch.BatchProperties.class,CommonApplicationProperties.class})
      public class DataFlowServerConfiguration
      extends Object

  Configuration for the Data Flow Server application context. This includes support for the REST API framework configuration.
  Author:
    Mark Fisher, Marius Bogoevici, Patrick Peralta, Thomas Risberg, Janne Valkealahti, Glenn Renfro, Josh Long, Michael Minella, Gunnar Hillert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFlowServerConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppRegistrationRepositoryCustom` | `appRegistrationRepositoryCustom(javax.persistence.EntityManager entityManager)`
    `AuthenticationSuccessEventListener` | `authenticationSuccessEventListener(org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService)`
    `DataFlowFlywayConfigurationCustomizer` | `dataFlowFlywayConfigurationCustomizer()`
    `javax.servlet.Filter` | `forwardedHeaderFilter()`
    `org.springframework.cloud.task.configuration.TaskProperties` | `taskProperties()`
    `org.springframework.transaction.PlatformTransactionManager` | `transactionManager(org.springframework.beans.factory.ObjectProvider<org.springframework.boot.autoconfigure.transaction.TransactionManagerCustomizers> transactionManagerCustomizers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFlowServerConfiguration

          public DataFlowServerConfiguration()

  - ### Method Detail

    - #### dataFlowFlywayConfigurationCustomizer

          @Bean
          public DataFlowFlywayConfigurationCustomizer dataFlowFlywayConfigurationCustomizer()

    - #### forwardedHeaderFilter

          @Bean
          public javax.servlet.Filter forwardedHeaderFilter()

    - #### transactionManager

          @Bean
           @Primary
          public org.springframework.transaction.PlatformTransactionManager transactionManager(org.springframework.beans.factory.ObjectProvider<org.springframework.boot.autoconfigure.transaction.TransactionManagerCustomizers> transactionManagerCustomizers)

    - #### taskProperties

          @Bean
          public org.springframework.cloud.task.configuration.TaskProperties taskProperties()

    - #### authenticationSuccessEventListener

          @Bean
          public AuthenticationSuccessEventListener authenticationSuccessEventListener(org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService)

    - #### appRegistrationRepositoryCustom

          @Bean
          public AppRegistrationRepositoryCustom appRegistrationRepositoryCustom(javax.persistence.EntityManager entityManager)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.